Bug 73431 - [Gtk] atk_text_get_text_at_offset() fails to provide the correct line for list items whose text wraps
Summary: [Gtk] atk_text_get_text_at_offset() fails to provide the correct line for lis...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Accessibility (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 72382
Blocks: 25531
  Show dependency treegraph
 
Reported: 2011-11-30 04:46 PST by Joanmarie Diggs (irc: joanie)
Modified: 2012-02-08 07:38 PST (History)
1 user (show)

See Also:


Attachments
test case (195 bytes, text/html)
2011-11-30 04:46 PST, Joanmarie Diggs (irc: joanie)
no flags Details
test script (439 bytes, text/plain)
2011-11-30 04:47 PST, Joanmarie Diggs (irc: joanie)
no flags Details
Patch proposal (8.18 KB, patch)
2012-01-17 04:54 PST, Mario Sanchez Prada
no flags Details | Formatted Diff | Diff
Patch proposal (8.19 KB, patch)
2012-01-24 14:02 PST, Mario Sanchez Prada
cfleizach: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Joanmarie Diggs (irc: joanie) 2011-11-30 04:46:43 PST
Created attachment 117169 [details]
test case

Steps to reproduce:

1. View the attached test case in WK1
2. Resize the window so that the text wraps
3. Enable caret browsing
4. Launch the attached test script in a terminal
5. Arrow Up and Down amongst the lines of text

Expected results: The test script would always print the correct text for the current line.

Actual results: The test script only presents the correct text for the current line for the paragraph; the list item text is off by a couple of characters.

I believe this is a regression.
Comment 1 Joanmarie Diggs (irc: joanie) 2011-11-30 04:47:32 PST
Created attachment 117170 [details]
test script
Comment 2 Mario Sanchez Prada 2012-01-17 03:01:48 PST
This bug depends on bug 72382, which fortunately has a patch pending on review at the time of this writing.
Comment 3 Mario Sanchez Prada 2012-01-17 04:54:43 PST
Created attachment 122749 [details]
Patch proposal
Comment 4 Mario Sanchez Prada 2012-01-24 14:02:19 PST
Created attachment 123803 [details]
Patch proposal

Updating the patch after the refactor done for fixing bug 76783
Comment 5 chris fleizach 2012-02-06 19:33:49 PST
Comment on attachment 123803 [details]
Patch proposal

r=me
Comment 6 Mario Sanchez Prada 2012-02-08 07:38:35 PST
Committed r107086: <http://trac.webkit.org/changeset/107086>